NNTPSEND(8)

NAME
nntpsend - send Usenet articles to remote site

SYNOPSIS
nntpsend [ -a ] [ -c ] [ -D ] [ -d ] [ -l ] [ -N ] [ -n ] [ -P portnum ] [ -p ] [ -r ] [ -S ] [ -s size ] [ -T timelimit ] [ -t timeout ] [ -w delay ] [ sitename fqdn ] ...

DESCRIPTION
Nntpsend is a front-end that invokes innxmit(1) to send Usenet articles to a remote NNTP site.

The sites to be fed may be specified by giving sitename fqdn pairs on the command line. If no such pairs are given, nntpsend defaults to the information given in the nntpsend.ctl config file.

The sitename should be the name of the site as specified in the newsfeeds(5) file. The fqdn should be the hostname or IP address of the remote site.

An innxmit is launched for sites with queued news. All innxmit processes are spawned in the background and the script waits for them all to finish before returning. Output is sent to the file <pathlog in inn.conf>/nntpsend.log. In order to keep from overwhelming the local system, nntpsend waits five seconds before spawning each child.

Nntpsend expects that the batchfile for a site is named <pathoutgoing in inn.conf>/sitename. To prevent batchfile corruption, shlock(1) is used to ``lock'' these files.

When sitename fqdn pairs are given on the command line, any flags given on the command completely describe how innxmit and shrinkfile operate. When no such pairs are given on the command line, then the information found in nntpsend.ctl becomes the default flags for that site. Any flags given on the command line override the default flags for the site.

OPTIONS

-d -D
    The ``-d'' flag causes nntpsend to send output to stdout rather than the log file <pathlog in inn.conf>/nntpsend.log. The ``-D'' flag does the same and it passes ``-d'' to all innxmit invocations, which in turn causes innxmit to go into debug mode.

-n  If the ``-n'' flag is used, then nntpsend does not use shlock(1) and does not lock batch files.

-s size
    If the ``-s'' flag is used, then shrinkfile(1) will be invoked to perform a head truncation on the batchfile and the flag will be passed to it.

-w delay
    If the ``-w'' flag is used, then nntpsend waits for delay seconds after flushing the site before launching innxmit.

-a -c -l -N -P -p -r -S -T -t
    The ``-a'', ``-c'', ``-l'', ``-P'', ``-p'', ``-r'', ``-S'', ``-T'' and ``-t'' flags are passed on to the child innxmit program. The ``-N'' flag is passed as ``-s'' flag to the child innxmit program. See innxmit(8) for more details. Note that if the ``-p'' flag is used then no connection is made and no articles are fed to the remote site. It is useful to have cron(8) invoke nntpsend with this flag in case a site cannot be reached for an extended period of time.

EXAMPLES
With the following nntpsend.ctl(5) control file:

    nsavax:erehwon.nsavax.gov::-S -t60
    group70:group70.org::
    walldrug:walldrug.com:4m-1m:-T1800 -t300
    kremvax:kremvax.cis:2m:

The command:

    nntpsend

will result in the following:

    Sitename        Truncation      Innxmit flags
    nsavax          (none)          -a -S -t60
    group70         (none)          -a -t180
    walldrug        1m if >4m       -a -T1800 -t300
    kremvax         2m              -a -t180

The command:

    nntpsend -d -T1200

will result in the following:

    Sitename        Truncation      Innxmit flags
    nsavax          (none)          -a -d -S -T1200 -t60
    group70         (none)          -a -d -T1200 -t180
    walldrug        1m if >4m       -a -d -T1200 -t300
    kremvax         2m              -a -d -T1200 -t180

The command:

    nntpsend -s 5m -T1200 nsavax erehwon.nsavax.gov group70 group70.org

will result in the following:

    Sitename        Truncation      Innxmit flags
    nsavax          5m              -a -T1200 -t180
    group70         5m              -a -T1200 -t180

Remember that ``-a'' is always given, and ``-t'' defaults to 180.

HISTORY
Written by Landon Curt Noll <chongo@toad.com> and Rich $alz <rsalz@uunet.uu.net> for InterNetNews.

SEE ALSO
inn.conf(5), innxmit(1), newsfeeds(5), nntpsend.ctl(5), shrinkfile(1).